# Consistent Stage Features
> RoR2 but Noita (pipe bombs)

This mod guarantees specific interactables in various stages (like AWU) that you can take advantage of as a form of mitigating RNG using game knowledge. Every element is configurable.

Entry listed as **Default Off** must be turned on through config to enable, and Entry listed as **Other Mod** is quite literally what other mod does; It is merely there to explain the other changes this mod makes and to recommend if you want more stage features.

## General
- Time Scale Config: Enable/Disables run time flow per stage. By default, Gilded Coast and [Forgotten Haven](https://thunderstore.io/package/PlasmaCore3/Forgotten_Relics/) gets timestop disabled.
- Stage Chance Config: Ability to set likelihood of each stage appearing. By default, triples chance of Sky Meadow to make artifact grinding better with [Forgotten Relics](https://thunderstore.io/package/PlasmaCore3/Forgotten_Relics/).
- Max Void Seeds Config: Ability to set maximum number of void seeds per stage. Set to 1 by default, vanilla is 3.
- Guaranteed Newt Statue: One newt statue will spawn at **random** location in every stage. fixes Distant Roost and Rallypoint Delta specifically.
![Image](https://media.discordapp.net/attachments/515678914316861451/1078836756390105189/20230225093120_1.jpg)

## Stage 1
<details><summary>Details w/ Screenshot (Spoilers!)</summary>
<p>

- Buff braziers cost twice as more by default.
![Image](https://media.discordapp.net/attachments/515678914316861451/1079082417513574531/20230226014707_1.jpg)
- Guaranteed [Buff Brazier](https://thunderstore.io/package/KomradeSpectre/Aetherium/): At least one Buff Brazier will always spawn in a **random** location. **Buff Braziers will no longer spawn randomly by default.**
![Image](https://media.discordapp.net/attachments/515678914316861451/1078589327090651166/20230224153644_1.jpg)

- **Default Off:** Large Printer in Titanic Plains.
![Image](https://media.discordapp.net/attachments/515678914316861451/1078589326805450792/20230224153614_1.jpg)
![Image](https://media.discordapp.net/attachments/515678914316861451/1078589327308771459/20230224153903_1.jpg)
- **Default Off:** Overgrown Printer in Distant Roost.
![Image](https://media.discordapp.net/attachments/515678914316861451/1078589327539453962/20230224154012_1.jpg)
![Image](https://media.discordapp.net/attachments/515678914316861451/1078589327824654417/20230224154037_1.jpg)
- **Default Off:** Military Printer in Siphoned Forest.
![Image](https://media.discordapp.net/attachments/515678914316861451/1078589328063746108/20230224154108_1.jpg)

</p>
</details>

## Stage 2
<details><summary>Details w/ Screenshot (Spoilers!)</summary>
<p>

- Guaranteed Lunar Bud: At least one Lunar Bud will always spawn in a **fixed** location. Ability to turn off natural spawn is also configurable.
![Image](https://media.discordapp.net/attachments/515678914316861451/1078589328277651539/20230224154345_1.jpg)

- **Default Off:** Pressure plates will stay put in Abandoned Aqueduct.
![Image](https://media.discordapp.net/attachments/515678914316861451/1078589328525103165/20230224154555_1.jpg)
- Destroying N'kuhana's Altar rewards you with a Void Uncommon item
![Image](https://media.discordapp.net/attachments/515678914316861451/1078589328848080956/20230224154752_1.jpg)
- **Other Mod** [KannasQualityofLife](https://thunderstore.io/package/SylmarDev/KannasQualityofLife/): Cleansing Pool spawns at **fixed** location in Aphelian Sanctuary
![Image](https://media.discordapp.net/attachments/515678914316861451/1078589329095540736/20230224155231_1.jpg)
- **Other Mod** [Forgotten Relics](https://thunderstore.io/package/PlasmaCore3/Forgotten_Relics/): Shrine of Tar spawns at **random** location in Dry Basin
![Image](https://media.discordapp.net/attachments/515678914316861451/1078589360468922408/20230224155358_1.jpg)

</p>
</details>

## Stage 3
<details><summary>Details w/ Screenshot (Spoilers!)</summary>
<p>

- Guaranteed Altar of Gold: At least one Altar of Gold will always spawn in a **random** location. Ability to turn off natural spawn is also configurable.
![Image](https://media.discordapp.net/attachments/515678914316861451/1078680198347759686/20230224230949_1.jpg)

- **Other Mod** [BetterDrones](https://thunderstore.io/package/pseudopulse/BetterDrones/): TC-280 Prototype spawns at **fixed** location in Rallypoint Delta.
![Image](https://media.discordapp.net/attachments/515678914316861451/1078589361391673404/20230224163623_1.jpg)
- **Other Mod** [Mystic's Items](https://thunderstore.io/package/TheMysticSword/MysticsItems/): Archaic Mask spawns at **fixed** location in Scorched Acres
![Image](https://media.discordapp.net/attachments/515678914316861451/1078589361622351892/20230224163730_1.jpg)
- Cloaked Chest will spawn at **fixed** location in Sulfur Pools, as well as two Lockboxes (indirect buff to Rusted Key)
![Image](https://media.discordapp.net/attachments/515678914316861451/1078589362163425310/20230224163917_1.jpg)
![Image](https://media.discordapp.net/attachments/515678914316861451/1078589361869832244/20230224163845_1.jpg)
- **Other Mod** [Fogbound Lagoon](https://thunderstore.io/package/JaceDaDorito/FogboundLagoon/): Adds a timed chest.
![Image](https://media.discordapp.net/attachments/515678914316861451/1078589360938680362/20230224163526_1.jpg)
- Interacting with Hank from [Fogbound Lagoon](https://thunderstore.io/package/JaceDaDorito/FogboundLagoon/) results in a random drink.
![Image](https://media.discordapp.net/attachments/515678914316861451/1078589360703807508/20230224163440_1.jpg)

</p>
</details>

## Stage 4
<details><summary>Details w/ Screenshot (Spoilers!)</summary>
<p>

- Guaranteed REX: At least one REX will always spawn in a **fixed** location.
![Image](https://media.discordapp.net/attachments/515678914316861451/1078680032760840283/20230224230507_1.jpg)
- Shrine of the Mountain will spawn at **fixed** location in Siren's Call.
![Image](https://media.discordapp.net/attachments/515678914316861451/1078680032374956042/20230224230337_1.jpg)
- **Other Mod** [Direseeker](https://thunderstore.io/package/EnforcerGang/Direseeker/): Replaces the legendary chest with Direseeker, an AWU-tier boss.
![Image](https://media.discordapp.net/attachments/515678914316861451/1078589362406686790/20230224164000_1.jpg)
- **Other Mod** [Fetch a Friend Quest](https://thunderstore.io/package/RandomlyAwesome/Fetch_a_friend_Quest/): Rescueing REX adds it to your team.
![Image](https://media.discordapp.net/attachments/515678914316861451/1078589393222242384/20230224164140_1.jpg)
- **Other Mod** [Mystic's Items](https://thunderstore.io/package/TheMysticSword/MysticsItems/): Spotter Drone spawns at Sundered Grove.
![Image](https://media.discordapp.net/attachments/515678914316861451/1078589392949608538/20230224164104_1.jpg)

</p>
</details>

## Stage 5
<details><summary>Details w/ Screenshot (Spoilers!)</summary>
<p>

- Guaranteed [Shrine of Repair](https://thunderstore.io/package/viliger/ShrineOfRepair/): At least one Shrine of Repair will always spawn in a **random** location. Ability to turn off natural spawn is also configurable.
![Image](https://media.discordapp.net/attachments/515678914316861451/1078589394002399302/20230224164423_1.jpg)
- **Default Off:** Sages' Shrine will spawn at **fixed** location in Sky Meadow.
![Image](https://media.discordapp.net/attachments/515678914316861451/1078681754493259837/20230224230556_1.jpg)
- Sages' Shrine will spawn at **fixed** location in [Slumbering Satellite](https://thunderstore.io/package/PlasmaCore3/Forgotten_Relics/). **Sages' Shrines will no longer spawn randomly by default.**
![Image](https://media.discordapp.net/attachments/515678914316861451/1078589394660904980/20230224164601_1.jpg)
- [Crystalline Blade](https://thunderstore.io/package/TheMysticSword/BulwarksHaunt/) will spawn at **fixed** location in [Slumbering Satellite](https://thunderstore.io/package/PlasmaCore3/Forgotten_Relics/).
![Image](https://media.discordapp.net/attachments/515678914316861451/1078589394279206962/20230224164452_1.jpg)

</p>
</details>

## Commencement
<details><summary>Details w/ Screenshot (Spoilers!)</summary>
<p>

- **Other Mod** [Shrine of Repair](https://thunderstore.io/package/viliger/ShrineOfRepair/): Shrine of Repair will spawn at **fixed** location.
![Image](https://media.discordapp.net/attachments/515678914316861451/1078589395055153203/20230224164851_1.jpg)
- **Default Off:** Scrapper will spawn at **fixed** location.
![Image](https://media.discordapp.net/attachments/515678914316861451/1078589395311001631/20230224164858_1.jpg)

</p>
</details>

## Looping
<details><summary>Details w/ Screenshot (Spoilers!)</summary>
<p>

- [Shattered Teleporter](https://thunderstore.io/package/PlasmaCore3/Forgotten_Relics/) will spawn at **random** location in Stage 6.
![Image](https://media.discordapp.net/attachments/515678914316861451/1078589395558486076/20230224165122_1.jpg)
- **Default Off:** Null Portal will spawn after the teleporter in Stage 7.
![Image](https://media.discordapp.net/attachments/515678914316861451/1078589395843682314/20230224165158_1.jpg)
- Void Portal will spawn after the teleporter in Stage 10.
![Image](https://media.discordapp.net/attachments/515678914316861451/1078589428475363329/20230224165240_1.jpg)

</p>
</details>

## Hidden Realms
<details><summary>Details w/ Screenshot (Spoilers!)</summary>
<p>

- Altar of Gold's Base cost is halved and configurable.
![Image](https://media.discordapp.net/attachments/515678914316861451/1078589428706062386/20230224165439_1.jpg)
- Combat and Blood Shrines will spawn at **fixed** position in Gilded Coast.
![Image](https://media.discordapp.net/attachments/515678914316861451/1078589428915765308/20230224165609_1.jpg)
![Image](https://media.discordapp.net/attachments/515678914316861451/1078589429234548747/20230224165751_1.jpg)
- Whenever you purchase a Radio Scanner or deposit a Fuel Cell, Radar Scanner's effect will trigger in [Forgotten Haven](https://thunderstore.io/package/PlasmaCore3/Forgotten_Relics/).
![Image](https://media.discordapp.net/attachments/515678914316861451/1078589429502980107/20230224165949_1.jpg)
- **Other Mod** [KannasQualityofLife](https://thunderstore.io/package/SylmarDev/KannasQualityofLife/): Scrapper will spawn at **fixed** position in Bazaar Between Time.
![Image](https://media.discordapp.net/attachments/515678914316861451/1078589429972746300/20230224170224_1.jpg)
- **Other Mod**  [Shrine of Repair](https://thunderstore.io/package/viliger/ShrineOfRepair/): Shrine of Repair will spawn at **fixed** position in Bazaar Between Time.
![Image](https://media.discordapp.net/attachments/515678914316861451/1078589430463463535/20230224170737_1.jpg)
- **Other Mod**  [Dancer](https://thunderstore.io/package/nayDPz/Dancer/): Rescueing Artificer adds it to your team. 
![Image](https://media.discordapp.net/attachments/515678914316861451/1078589430203428925/20230224170724_1.jpg)
- Shrine of the Woods will spawn at **fixed** position in [A Moment, Haunted](https://thunderstore.io/package/TheMysticSword/BulwarksHaunt/).
![Image](https://media.discordapp.net/attachments/515678914316861451/1078589429746237450/20230224170025_1.jpg)
- Void Fields will no longer contain any loot.
![Image](https://media.discordapp.net/attachments/515678914316861451/1078589430698356756/20230224170800_1.jpg)

</p>
</details>

## Changelog
- 1.0.4: Buff brazier cost
- 1.0.3: Newt statue
- 1.0.2: Added sky meadow sages, sirens tweaks, rex on stage 4
- 1.0.1: README fix :aaaaaaaaaaaaaaaaa:
- 1.0.0: Initial Release